MK-CA-BUNDLE(1)

NAME
mk-ca-bundle - create a new ca-bundle.crt from mozilla's certdata.txt

SYNOPSIS
mk-ca-bundle [-bilnqtuv]

DESCRIPTION
The mk-ca-bundle tool downloads the certdata.txt file from Mozilla's source tree, then parses certdata.txt and extracts CA Root Certificates into PEM format. These are then processed with the OpenSSL commandline tool to produce the final ca-bundle.crt file.

OPTIONS
The following options are supported by mk-ca-bundle:

-b  backup an existing version of ca-bundle.crt

-i  print version info about used modules

-l  print license info about certdata.txt

-n  no download of certdata.txt (to use existing)

-q  be really quiet (no progress output at all)

-t  include plain text listing of certificates

-u  unlink (remove) certdata.txt after processing

-v  be verbose and print out processed CAs

EXIT STATUS

SEE ALSO
curl(1)

HISTORY
mk-ca-bundle was based on the parse-certs script written by Roland Krikava and hacked by Guenter Knauf. This manual page was written by Jan Schaumann <jschauma@netmeister.org>.